Subject: Re: bug#56546: 29.0.50; unbounded RAM comsumption when displaying images

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Jul 2022 12:37:58 +0200

"Jose A. Ortega Ruiz" <[email-masked]> writes:

> I was also naively expecting
> that, given that i'm reloading the same page with the "same" images,
> they'd be found in the cache the second and subsequent times, but, since
> the cache size increases, i see that they're not considered the "same"
> by the caching mechanism; i can again see reasons for that behaviour (i
> am sure the cache is not judging image equality using "image urls"),
> just mentioning it in case it's unexpected or there's an easy way of
> reusing the cached images).

>From Emacs' point of view, these aren't "the same", because they're
not taken (directly) from files, I think.

> Anyway, thanks a lot for bearing with me and solving the problem: this
> bug is all but fixed now from my point of view.

Thanks for checking; I'm closing this bug report, then.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no